> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Credentials (v2)

<Warning>
  **DEPRECATED:** It is no longer possible to access a list of all credentials in Flare's database. This endpoint should be replaced by
  [/astp/v2/credentials/\_search <Icon icon="code" size={16} />](/api-reference/astp/endpoints/post-credentials-search)
</Warning>

This endpoint will return a list of all crendentials in Flare's database, meant to be used as a feed.

Results are returned in ascending order by id, and optional parameters can be added to the query to fetch and filter large amounts (or all) of results.

<ResponseExample>
  ```json Response Example theme={null}
  {
    "items": [
      {
        "credential_hash": "889d9ba6efa420d3dff7822c9119e744",
          "domain": "web.de",
          "extra": {},
          "hash": "password123",
          "hash_type": "unknown",
          "id": 1,
          "identity_name": "bob@example.com",
          "imported_at": "2019-06-03T14:20:25.132662+00:00",
          "source": null,
          "source_id": "collection-1",
          "source_params": null
      },
      {
        "credential_hash": "67033809d2befde723e2cb6893c470ef",
        "domain": "arcor.de",
        "extra": {},
        "hash": "sunshine",
        "hash_type": "unknown",
        "id": 2,
        "identity_name": "sarah@example.net",
        "imported_at": "2019-06-03T14:20:25.132662+00:00",
        "source": null,
        "source_id": "collection-1",
        "source_params": null
      }
    ],
    "next": "WyJ7XCJjXCI6Mn0iXQ"
  }
  ```
</ResponseExample>

## Paging

This endpoint supports the
[Flare standard paging pattern <Icon icon="book" size={16} />](/concepts/paging).

## Query Parameters

<ParamField query="size" type="number">
  Maximum size of the JSON object that will be returned (maximum 5 000)
</ParamField>

<ParamField query="from" type="number">
  The `next` value from the last response.
</ParamField>

<ParamField query="order" type="string">
  Order in which you want to browse the credentials. One of `asc` or `desc`.
  It defaults to `asc` which is the recommended way to use the API to obtain newly imported passwords.
</ParamField>

<ParamField query="source_id" type="string">
  Return only credentials that belong to the specified source.
</ParamField>
